classification
Title: PEP 249 (DB-API 2.0) converted to reStructuredText
Type: enhancement Stage:
Components: Documentation Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, docs@python, lemburg, piro, python-dev
Priority: normal Keywords:

Created on 2012-11-06 14:16 by piro, last changed 2012-11-17 15:40 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
pep-0249.txt piro, 2012-11-06 14:16 reST format PEP 249
Messages (5)
msg174965 - (view) Author: Daniele Varrazzo (piro) * Date: 2012-11-06 14:16
I've converted the DBAPI to reST, mostly to allow linking from external documentation. It would be great to replace the current text only version with it. File attached.
msg174982 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-11-06 15:29
Original file has been changed just now.
Also it would be nice to get diff, not just new file (to check correctness of transition).
msg174983 - (view) Author: Daniele Varrazzo (piro) * Date: 2012-11-06 15:33
Andrew, I've probably changed every single line (as almost all the original was indented), so diff wouldn't show anything useful.
msg174985 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2012-11-06 15:43
On 06.11.2012 16:33, Daniele Varrazzo wrote:
> 
> Daniele Varrazzo added the comment:
> 
> Andrew, I've probably changed every single line (as almost all the original was indented), so diff wouldn't show anything useful.

I'll go through the text and double check for typos.

-- 
Marc-Andre Lemburg
eGenix.com

Professional Python Services directly from the Source  (#1, Nov 06 2012)
>>> Python Projects, Consulting and Support ...   http://www.egenix.com/
>>> mxODBC.Zope/Plone.Database.Adapter ...       http://zope.egenix.com/
>>> mxODBC, mxDateTime, mxTextTools ...        http://python.egenix.com/
________________________________________________________________________

::: Try our new mxODBC.Connect Python Database Interface for free ! ::::

   eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
    D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
           Registered at Amtsgericht Duesseldorf: HRB 46611
               http://www.egenix.com/company/contact/
msg175054 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2012-11-07 08:46
For some reason, the roundup bot didn't pick up the check in, so here's the reference by hand:

http://hg.python.org/peps/rev/95a73d5a3af7
changeset:   4578:95a73d5a3af7
user:        Marc-Andre Lemburg <mal@egenix.com>
date:        Wed Nov 07 09:42:07 2012 +0100
summary:
  Issue #16420:
Convert PEP 249 (DB-API 2.0) to ReST format to allow linking to the
various parts.

The conversion was done mostly by Daniele Varrazzo.
History
Date User Action Args
2012-11-17 15:40:21ezio.melottisetmessages: - msg175755
2012-11-17 15:39:24python-devsetnosy: + python-dev
messages: + msg175755
2012-11-07 08:47:13lemburgsetstatus: open -> closed
2012-11-07 08:46:59lemburgsetmessages: + msg175054
2012-11-06 15:43:33lemburgsetmessages: + msg174985
2012-11-06 15:33:56pirosetmessages: + msg174983
2012-11-06 15:29:41asvetlovsetnosy: + asvetlov
messages: + msg174982
2012-11-06 14:16:40pirocreate